| Kea 3.0.2-git

d2_queue_mgr.h File Reference

This file defines the class D2QueueMgr. More...

`#include <asiolink/io_service.h>`
`#include <exceptions/exceptions.h>`
`#include <dhcp_ddns/ncr_msg.h>`
`#include <dhcp_ddns/ncr_io.h>`
`#include <boost/noncopyable.hpp>`
`#include <deque>`
Include dependency graph for d2_queue_mgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::d2::D2QueueMgr
| D2QueueMgr creates and manages a queue of DNS update requests. More...
class | isc::d2::D2QueueMgrError
| Thrown if the queue manager encounters a general error. More...
class | isc::d2::D2QueueMgrInvalidIndex
| Thrown if a queue index is beyond the end of the queue. More...
class | isc::d2::D2QueueMgrQueueEmpty
| Thrown if the request queue empty and a read is attempted. More...
class | isc::d2::D2QueueMgrQueueFull
| Thrown if the request queue is full when an enqueue is attempted. More...
class | isc::d2::D2QueueMgrReceiveError
| Thrown if the queue manager's receive handler is passed a failure result. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::d2

## Typedefs
typedef boost::shared_ptr< D2QueueMgr > | isc::d2::D2QueueMgrPtr
| Defines a pointer for manager instances.
typedef std::deque< dhcp_ddns::NameChangeRequestPtr > | isc::d2::RequestQueue
| Defines a queue of requests.

## Detailed Description

This file defines the class D2QueueMgr.

Definition in file d2_queue_mgr.h.